Package twisted :: Package web :: Module client :: Class HTTPDownloader

[show private | hide private]
[frames | no frames]

## Class HTTPDownloader

      Factory --+
                |
    ClientFactory --+
                    |
    HTTPClientFactory --+
                        |
                       HTTPDownloader

Known Subclasses:
  `HTTPDownloader`

Method Summary
| `__init__(self, host, url, fileName, agent)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| `clientConnectionFailed(self, _, reason)` (inherited from `HTTPClientFactory`)
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `gotHeaders(self, headers)` (inherited from `HTTPClientFactory`)
| `noPage(self, reason)` (inherited from `HTTPClientFactory`)
| `page(self, page)` (inherited from `HTTPClientFactory`)
| `pageEnd(self)`
| `pagePart(self, data)`
| `pageStart(self)`
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `HTTPPageDownloader`
`None` | `value`

Class Variable Details

### HTTPPageDownloader

`HTTPPageDownloader` = `twisted.web.client.HTTPPageDownloader`

### value

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:18:15 2003 | http://epydoc.sf.net